/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.io.Serializable;
import java.util.Date;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class EclipticMapHeader implements Serializable{

	/**
	 * serialVersion 
	 */
	private static final long serialVersionUID = 1L;

	private Date date;
	private int width;
	private int height;
	private Double xMin;
	private Double xMax;
	private Double yMin;
	private Double yMax;
	
	public EclipticMapHeader() {
		super();
	}

	@XmlElement(name="width")
	public int getWidth() {
		return this.width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	@XmlElement(name="height")
	public int getHeight() {
		return this.height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Double getxMin() {
		return xMin;
	}

	public void setxMin(Double xMin) {
		this.xMin = xMin;
	}

	public Double getxMax() {
		return xMax;
	}

	public void setxMax(Double xMax) {
		this.xMax = xMax;
	}

	public Double getyMin() {
		return yMin;
	}

	public void setyMin(Double yMin) {
		this.yMin = yMin;
	}

	public Double getyMax() {
		return yMax;
	}

	public void setyMax(Double yMax) {
		this.yMax = yMax;
	}

}
